------------------------------------------------------------------------------------
--Name:  	qingrenjie5
--Creator:	由剧情表现脚本编辑器生成
--Created:	2023-01-05
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(120, 120)
local npc_0 = CppScriptMgr:AddSimplePlayer(1055770, 120, 120, "Count", 0, 0)
npc_0:SetDir(5)
local npc_1 = CppScriptMgr:AddSimplePlayer(1051680, 122, 117, "Countess", 0, 0)
npc_1:SetDir(1)
local npc_2 = CppScriptMgr:AddSimplePlayer(21403, 123, 122, "", 0, 0)
npc_2:SetDir(3)
local npc_3 = CppScriptMgr:AddSimplePlayer(31453, 121, 124, "", 0, 0)
npc_3:SetDir(3)
local npc_4 = CppScriptMgr:AddSimplePlayer(21873, 125, 120, "", 0, 0)
npc_4:SetDir(3)
local effect_1 = CppScriptMgr:AddEffect("Christmas_light2", 120, 120, 33, 1, 1, 1)
local effect_3 = CppScriptMgr:AddEffect("zero7196670", 115, 119, 33, 1, 1, 1)
local effect_4 = CppScriptMgr:AddEffect("_p_48_7196750", 122, 114, 33, 1, 1, 1)
local effect_5 = CppScriptMgr:AddEffect("_p_48_7196750", 124, 128, 33, 1, 1, 1)
local effect_6 = CppScriptMgr:AddEffect("zero7196670", 130, 120, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(570)
npc_2:Say("She blushed!", 1000)
CppScriptMgr:WaitMilSec(970)
npc_3:Say("So shy!", 1000)
CppScriptMgr:WaitMilSec(1020)
npc_0:SetAction(220)
npc_0:SetFrameInterval(10000)
npc_0:Say("I will always love you, my dearest Alice!", 2000)
CppScriptMgr:WaitMilSec(2030)
npc_0:Say("Marry me!", 1000)
CppScriptMgr:WaitMilSec(940)
npc_2:Say("Ssy `Yes`!", 1000)
npc_3:Say("So romantic!", 1000)
npc_4:Say("Yes!", 1000)
CppScriptMgr:WaitMilSec(1050)
npc_0:SetFrameInterval(33)
npc_1:Say("Yes, I do!", 2000)
npc_1:SetAction(101)
local effect_0 = CppScriptMgr:AddEffect("tulip-flower-charm1", 122, 117, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1090)
local effect_2 = CppScriptMgr:AddEffect("dot_cha_lig", 120, 120, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(4330)